Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.core.model.portal
Class PortalObjectPath.Format

    java.lang.Object
      org.jboss.portal.core.model.portal.PortalObjectPath.Format

Direct Known Subclasses:
  PortalObjectPath.CanonicalFormat, PortalObjectPath.LegacyFormat

Enclosing class:
  PortalObjectPath

    public abstract static class PortalObjectPath.Format

extends java.lang.Object

The format of a string representation of an id.

Constructor Summary
`PortalObjectPath.Format()`

Method Summary
`abstract java.lang.String[]` | `parse(java.lang.String value)`
`java.lang.String` | `toString(PortalObjectPath id)`
`abstract java.lang.String` | `toString(java.lang.String[] names, int from, int to)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PortalObjectPath.Format

    public PortalObjectPath.Format()

Method Detail

### parse

    public abstract java.lang.String[] parse(java.lang.String value)
                                      throws java.lang.IllegalArgumentException

  Parameters:
    `value` -
  Returns:
  Throws:
    `java.lang.IllegalArgumentException`

### toString

    public abstract java.lang.String toString(java.lang.String[] names,
                                              int from,
                                              int to)
                                       throws java.lang.IllegalArgumentException

  Parameters:
    `names` -
  Returns:
  Throws:
    `java.lang.IllegalArgumentException`

### toString

    public final java.lang.String toString(PortalObjectPath id)
                                    throws java.lang.IllegalArgumentException

  Parameters:
    `id` -
  Returns:
  Throws:
    `java.lang.IllegalArgumentException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD